GET /api/v1/dataGraph/metadata?entityName={dataGraphName}

Request the metadata for a single data graph object. Returned data includes the object's primary data model object, related objects, and fields.

Syntax

HTTP method
GET
Availability
Data Cloud v1.0, Salesforce v51.0
Formats
REST
URI
/api/v1/dataGraph/metadata?entityName={dataGraphName}

Request Parameters

Field Name Field Type Description
entityName string API name of the data graph for which metadata is being requested. When a data graph is created, the API name is the value set in the DataGraphApiName field.

Examples

In this example, metadata for the data graph UnifiedIndividual_DG is requested. The response returns metadata values for the primary data model object, related objects, and each field included in the data graph.

Request
Response